Show / Hide Table of Contents

# Class ModuleLog

Class offering various methods to allow for logging in Dalamud modules.

##### Inheritance

System.Object
ModuleLog

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Logging.Internal

###### Assembly: Dalamud.dll

##### Syntax

    public class ModuleLog

### Constructors

| Improve this Doc View Source

#### ModuleLog(String)

Initializes a new instance of the ModuleLog class. This class can be used to prefix logging messages with a Dalamud module name prefix. For example, "[PLUGINR] ...".

##### Declaration

    public ModuleLog(string moduleName)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | moduleName | The module name.

### Methods

| Improve this Doc View Source

#### Debug(Exception, String, Object[])

Log a templated debug message to the in-game debug log.

##### Declaration

    public void Debug(Exception exception, string messageTemplate, params object[] values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Exception | exception | The exception that caused the error.
System.String | messageTemplate | The message template.
System.Object[] | values | Values to log.

| Improve this Doc View Source

#### Debug(String, Object[])

Log a templated debug message to the in-game debug log.

##### Declaration

    public void Debug(string messageTemplate, params object[] values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | messageTemplate | The message template.
System.Object[] | values | Values to log.

| Improve this Doc View Source

#### Error(Exception, String, Object[])

Log a templated error message to the in-game debug log.

##### Declaration

    public void Error(Exception exception, string messageTemplate, params object[] values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Exception | exception | The exception that caused the error.
System.String | messageTemplate | The message template.
System.Object[] | values | Values to log.

| Improve this Doc View Source

#### Error(String, Object[])

Log a templated error message to the in-game debug log.

##### Declaration

    public void Error(string messageTemplate, params object[] values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | messageTemplate | The message template.
System.Object[] | values | Values to log.

| Improve this Doc View Source

#### Fatal(Exception, String, Object[])

Log a templated fatal message to the in-game debug log.

##### Declaration

    public void Fatal(Exception exception, string messageTemplate, params object[] values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Exception | exception | The exception that caused the error.
System.String | messageTemplate | The message template.
System.Object[] | values | Values to log.

| Improve this Doc View Source

#### Fatal(String, Object[])

Log a templated fatal message to the in-game debug log.

##### Declaration

    public void Fatal(string messageTemplate, params object[] values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | messageTemplate | The message template.
System.Object[] | values | Values to log.

| Improve this Doc View Source

#### Information(Exception, String, Object[])

Log a templated information message to the in-game debug log.

##### Declaration

    public void Information(Exception exception, string messageTemplate, params object[] values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Exception | exception | The exception that caused the error.
System.String | messageTemplate | The message template.
System.Object[] | values | Values to log.

| Improve this Doc View Source

#### Information(String, Object[])

Log a templated information message to the in-game debug log.

##### Declaration

    public void Information(string messageTemplate, params object[] values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | messageTemplate | The message template.
System.Object[] | values | Values to log.

| Improve this Doc View Source

#### Verbose(Exception, String, Object[])

Log a templated verbose message to the in-game debug log.

##### Declaration

    public void Verbose(Exception exception, string messageTemplate, params object[] values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Exception | exception | The exception that caused the error.
System.String | messageTemplate | The message template.
System.Object[] | values | Values to log.

| Improve this Doc View Source

#### Verbose(String, Object[])

Log a templated verbose message to the in-game debug log.

##### Declaration

    public void Verbose(string messageTemplate, params object[] values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | messageTemplate | The message template.
System.Object[] | values | Values to log.

| Improve this Doc View Source

#### Warning(Exception, String, Object[])

Log a templated warning message to the in-game debug log.

##### Declaration

    public void Warning(Exception exception, string messageTemplate, params object[] values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Exception | exception | The exception that caused the error.
System.String | messageTemplate | The message template.
System.Object[] | values | Values to log.

| Improve this Doc View Source

#### Warning(String, Object[])

Log a templated warning message to the in-game debug log.

##### Declaration

    public void Warning(string messageTemplate, params object[] values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | messageTemplate | The message template.
System.Object[] | values | Values to log.